/*
 * 29/03/2004
 *
 * button.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "button.h"

// ============
// Constructeur
// ============
CButton::CButton(int i, char *label) : CWidget(i) {
	m_label = label;
}

// ===========
// Destructeur
// ===========
CButton::~CButton() {

}

void CButton::Mouse(int button, int state, int mx, int my) {
	
	if (m_visible && m_enable) {
	mx = mx - x;
	my = my - y;
	int t = strlen(m_label) * 8 + 6;

	if (mx < t && mx >= 0 && my < 18 && my >= 0)
	if (button == GLUT_LEFT_BUTTON && state == GLUT_DOWN)
		mouseClickFunc(id);
	}
}

void CButton::MouseMotion(int mx, int my) {

}

void CButton::MousePassiveMotion(int mx, int my) {
	if (m_visible && m_enable) {
	mx = mx - x;
	my = my - y;
	int t = strlen(m_label) * 8 + 6;

	if (mx < t && mx >= 0 && my < 17 && my >= 0)
			m_mouseon = 1;
		else m_mouseon = 0;
	}
}

void CButton::Draw() {

	if (m_visible) {
	glPushMatrix();
	glTranslatef(x, y, 0.0f);

	int t = strlen(m_label) * 8;
	glBegin(GL_QUADS);

	if (m_mouseon)
		glColor3f(0.5, 0.5, 0.5);
	else if (m_enable) glColor3f(0.3, 0.3, 0.3);
	else glColor3f(0.1, 0.1, 0.1);
	glVertex2i(0,0);
	glVertex2i(t+6,0);
	glVertex2i(t+6,17);
	glVertex2i(0,17);

	glEnd();

	if (m_enable) glColor3f(0.8, 0.8, 0.8); else glColor3f(0.3, 0.3, 0.3);
	drawText(3, 4, "%s", m_label);
	
	glPopMatrix();
	}
}

