/*
 * 29/03/2004
 *
 * gui.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "gui.h"

// ============
// Constructeur
// ============
CGui::CGui(int i) : CWidget(i) {

}

// ===========
// Destructeur
// ===========
CGui::~CGui() {

}

void CGui::BeginDraw(int xsize, int ysize) {
	glBindTexture(GL_TEXTURE_2D, 0);

	glMatrixMode(GL_PROJECTION);											// Select The Projection Matrix
	glPushMatrix();															// Store The Projection Matrix
	glLoadIdentity();														// Reset The Projection Matrix
	glOrtho(0,xsize,0,ysize,-1,1);										// Set Up An Ortho Screen
	glMatrixMode(GL_MODELVIEW);												// Select The Modelview Matrix
	glPushMatrix();															// Store The Modelview Matrix
	glLoadIdentity();														// Reset The Modelview Matrix
	glDisable(GL_DEPTH_TEST);
}

void CGui::EndDraw() {

	glEnable(GL_DEPTH_TEST);
	glMatrixMode(GL_PROJECTION);											// Select The Projection Matrix
	glPopMatrix();															// Restore The Old Projection Matrix
	glMatrixMode(GL_MODELVIEW);												// Select The Modelview Matrix
	glPopMatrix();															// Restore The Old Projection Matrix
}

void CGui::Draw(int xsize, int ysize)
{

}


