/*
 * 29/03/2004
 *
 * fontrendering.cpp
 * Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include "fontrendering.h"

void drawText(int x, int y, char *s, ...)
{
	int		lines;
	char*	p;
	char	text[1024];
	va_list ap;
	
	if(s==NULL)
		return;

	va_start(ap, s);
	vsprintf(text, s, ap);
	va_end(ap);

	glRasterPos2i(x, y);
    for(p = text, lines = 0; *p; p++)
        glutBitmapCharacter(GLUT_BITMAP_8_BY_13, *p);
}

