/*
 * 29/03/2004
 *
 * label.h
 * Classe Label
 *
 * Author: Thierry Vouriot (Yri)
 * yeri@fr.st
 * http://www.yeri.fr.st
 * thierry.vouriot@free.fr
 * http://thierry.vouriot.free.fr
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef _LABEL_H
#define _LABEL_H

#include <cstdarg>
#include <cstdio>
#include "widget.h"

class CLabel : public CWidget
{
public:

	// ============
	// Constructeur
	// ============
	CLabel(int i, char *label, ...);

	// ============
	// Constructeur
	// ============
	CLabel(char *label, ...);

	// ===========
	// Destructeur
	// ===========
	~CLabel();

	void Draw();

	void SetLabel(char *label, ...);


private:

	char *m_label;

};

#endif



